[Gutsy] Ralink 2573 usb adapter does not work out of the box

Bug #139070 reported by Philippe Escarbassière on 2007-09-12
36
Affects Status Importance Assigned to Milestone
linux-ubuntu-modules-2.6.22 (Ubuntu)
High
Tim Gardner

Bug Description

When plugged, the adapter does not work (NM does not found any LAN for example) on gutsy, kernel 2.6.22-11

dmesg result after plugging:
[75716.967241] usb 5-1: new high speed USB device using ehci_hcd and address 9
[75717.237977] usb 5-1: configuration #1 chosen from 1 choice
[75717.405419] wmaster0: Selected rate control algorithm 'simple'
[75717.405868] usbcore: registered new interface driver rt2500usb
[75717.408444] usbcore: registered new interface driver rt73usb
[75717.418321] rtusb init ====>
[75717.418396] usbcore: registered new interface driver rt73
[75717.637614] phy5 -> rt2500usb_enable_radio: Error - Register initialization failed.

loaded rt* modules:
rt2500usb 22016 0
rt2x00lib 19712 3 rt73usb,rt2500usb,rt2x00usb
rt2x00usb 12032 2 rt73usb,rt2500usb
rt73 215168 0
rt73usb 25344 0

lsusb result for this adapter (there is no other wifi adapter plugged):
Bus 005 Device 009: ID 148f:2573 Ralink Technology, Corp.

A workaround to make the adapter work is to unload the rt2500usb and the rt73usb modules, then just reload the rt73usb module. Then, dmesg result:
[75894.074919] usbcore: deregistering interface driver rt2500usb
[75897.527376] usbcore: deregistering interface driver rt73usb
[75908.812267] wmaster0: Selected rate control algorithm 'simple'
[75908.812555] usbcore: registered new interface driver rt73usb
[75908.917427] ADDRCONF(NETDEV_UP): wlan0: link is not ready

loaded rt* modules:
rt2x00lib 19712 2 rt73usb,rt2x00usb
rt2x00usb 12032 1 rt73usb
rt73 215168 0
rt73usb 25344 0

At this time, NM find wifi network can connect to these networks and it works...

Bardur Simonsen (bard-simonsen) wrote :

rt2500 is also broken here

Kyle M Weller (kylew) wrote :

ralink also broken here

Id2ndR (id2ndr) wrote :

Hi,

I founded the trouble : rt2500usb should NOT be loaded at the same time that rt73usb : the two drivers are different.

How to fix it :
$ cd /lib/modules/`uname -r`/ubuntu/wireless/rt2x00
$ sudo mv rt2500usb.ko rt2500usb.ko_bak
$ sudo depmod -a

Then unplug your device,
remove all remaining rt* module : $ sudo rmmod rt73usb rt2x00usb rt2x00lib rt2500usb
Plug your device.
It should work.

In fact, there are bad vid:pid identifiers in rt2500, that should only be in one module. I put bellow the list of duplicate identifiers :
v148Fp2573
v050Dp705Ad
v050Dp7050d

Mine is v148Fp2573 and should only be rt73usb.

Thomas Heidrich (gnuheidix) wrote :
Download full text (34.7 KiB)

Hi,

I'm having the same problems with my usb adapter. It's a LogiLink WL0025. After blacklisting rt2500usb and rt2x00usb the stick is able to connect to a WPA-PSK-Network by using the roaming mode and the proper key. Unfortunately the connection isn't very stable. It's possible to send ping requests to another network device but if I try to open a website in firefox (e.g. google.com) the page won't be loaded correctly. The connection fails during the webserver is transmitting the site.
I hope I can help you to solve that problem.

Info: NetworkManager is in use.

lsusb:
Bus 002 Device 001: ID 0000:0000
Bus 001 Device 003: ID 148f:2573 Ralink Technology, Corp.
Bus 001 Device 002: ID 062a:0000 Creative Labs Optical Mouse
Bus 001 Device 001: ID 0000:0000

lsmod:
Module Size Used by
af_packet 24840 4
ipv6 274020 8
sis 8576 2
drm 83348 3 sis
ppdev 10244 0
speedstep_lib 6404 0
cpufreq_stats 7232 0
cpufreq_conservative 8072 0
cpufreq_powersave 2688 0
cpufreq_ondemand 9612 0
freq_table 5792 2 cpufreq_stats,cpufreq_ondemand
cpufreq_userspace 5280 0
ac 6148 0
sbs 19592 0
button 8976 0
container 5504 0
video 18060 0
dock 10656 0
battery 11012 0
lp 12580 0
arc4 2944 2
ecb 4608 2
blkcipher 7684 1 ecb
snd_trident 44548 1
gameport 16776 2 snd_trident
snd_ac97_codec 100644 1 snd_trident
ac97_bus 3200 1 snd_ac97_codec
snd_pcm_oss 44672 0
snd_mixer_oss 17664 1 snd_pcm_oss
rc80211_simple 6912 1
snd_pcm 80388 3 snd_trident,snd_ac97_codec,snd_pcm_oss
snd_page_alloc 10888 2 snd_trident,snd_pcm
snd_util_mem 5760 1 snd_trident
snd_mpu401_uart 9600 1 snd_trident
snd_seq_dummy 4740 0
snd_seq_oss 33152 0
rt73usb 25344 0
rt2x00usb 12032 1 rt73usb
rt2x00lib 19712 2 rt73usb,rt2x00usb
rfkill 8208 1 rt2x00lib
mac80211 171016 3 rc80211_simple,rt2x00usb,rt2x00lib
cfg80211 7304 1 mac80211
parport_pc 37412 1
parport 37448 3 ppdev,lp,parport_pc
pcspkr 4224 0
input_polldev 5896 1 rt2x00lib
snd_seq_midi 9600 0
snd_rawmidi 25728 2 snd_mpu401_uart,snd_seq_midi
snd_seq_midi_event 8448 2 snd_seq_oss,snd_seq_midi
crc_itu_t 3072 1 rt2x00lib
snd_seq 53232 6 snd_seq_dummy,snd_seq_oss,snd_seq_midi,snd_seq_midi_event
snd_timer 24324 2 snd_pcm,snd_seq
snd_seq_device 9228 6 snd_trident,snd_seq_dummy,snd_seq_oss,snd_seq_midi,snd_rawmidi,snd_seq
snd 54660 13 snd_trident,snd_ac97_codec,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_mpu401_uart,snd_seq_oss,snd_rawmidi,snd_seq,snd_timer,snd_seq_device...

Id2ndR (id2ndr) wrote :

rt2x00 module should be update.
More information (errors and howto compile latest CVS version) : http://rt2x00.serialmonkey.com/phpBB2/viewtopic.php?p=26097

Changed in linux-ubuntu-modules-2.6.22:
assignee: ben-collins → ubuntu-kernel-network

Thanks ;-)

2007/10/8, Id2ndR <email address hidden>:
>
> rt2x00 module should be update.
> More information (errors and howto compile latest CVS version) :
> http://rt2x00.serialmonkey.com/phpBB2/viewtopic.php?p=26097
>
> ** Changed in: linux-ubuntu-modules-2.6.22 (Ubuntu)
> Assignee: Ben Collins (ben-collins) => Ubuntu Kernel Network Team
> (ubuntu-kernel-network)
>
> --
> [Gutsy] Ralink 2573 usb adapter does not work out of the box
> https://bugs.launchpad.net/bugs/139070
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Kyle M Weller (kylew) wrote :

what about the rt73 driver? the serialmonkey rt73 driver with wpa
completely locks up the system?

Id2ndR (id2ndr) wrote :

I downloaded rt73-CVS. It need linux-headers and then $ make && sudo make install
I blacklisted rt2x00, rt2500usb, rt73usb. So rt73 module was loaded. I'm using it since few minutes, without trouble (just a reassociation that worked fine).

I also tried with rt2x00-CVS but I failed to compile it (symbols not resolved).

I don't know which version is use in linux-ubuntu-modules.

Hopelessly, rt2x00 drivers is currently not in linux main tree (there is no rt2x00 folder in drivers/net/wireless (http://hjemli.net/git/linux/tree/drivers/net/wireless)).
But this will change, according to http://git.kernel.org/?p=linux/kernel/git/ivd/rt2x00.git;a=blob;f=drivers/net/wireless/rt2x00/rt2x00.h :).
So we still need drivers include in linux-ubuntu-modules for a few time.

except of the subject : both rt73 and rt73usb support NetworkManager, great :).

Id2ndR (id2ndr) wrote :

Sorry I was wrong with last message. I just forgot to unload rt2500usb and rt73usb modules, so I was still using them.
So these modules work for me, until I got errors as described in rt2x00 forum. Time before getting these error is variable (from 5 minutes to 3 hours). Once these occurred, I can't use wifi anymore, and there also are troubles to restart the computer (NetworkManger seems to wait a response from the driver).

So I'm know using rt73, and it don't work with NetworkManager. I used rutil to configure wifi. I haven't encountered trouble yet but if I got one, I'll describe it here.

linux-ubuntu-modules should include new rt2x00 driver since it work with NetworkManager, and new wifi stack.
So it would be great if the driver was update to latest cvs version.

ciocchetto (maurizio-firmani) wrote :
Download full text (4.3 KiB)

I've got a strange behaviour this evening: after daily upgrade of Ubuntu
Gusty, I tried to connect to my domestic WLAN with WPA encryption (wifi
adapter is a Linksys WUSB54GR, based on Ralink RT73 chipset, workink
perfectly with Feisty and Enhanced Legacy Driver from
rt2x00.serialmonkey.com), guessing if my device would work "out of the box".
I connected to WLAN browsing the web (wired connection unplugged!), but
Network Manager didn't show any longer the WLAN in range (before I
connected, there were three WLAN in range). I tried to reboot my PC hoping
to see all working, but WLAN connection was down, finding these lines in
dmesg log:

[ 54.314915] ieee80211_init: failed to initialize WME (err=-17)
[ 54.338039] iwlwifi_rc80211_simple: Unknown symbol
iwlwifi_ieee80211_rate_control_unregister
[ 54.338068] iwlwifi_rc80211_simple: Unknown symbol iwlwifi_sta_info_put
[ 54.338093] iwlwifi_rc80211_simple: Unknown symbol iwlwifi_sta_info_get
[ 54.338133] iwlwifi_rc80211_simple: Unknown symbol
iwlwifi_ieee80211_rate_control_register
[ 54.338366] wmaster0: Selected rate control algorithm 'simple'
[ 54.463209] usbcore: registered new interface driver rt73usb

I tried to unplug and plug again my interface and I got:

[ 226.211395] usb 5-1: USB disconnect, address 2
[ 226.214184] phy0 -> rt2x00usb_vendor_request: Error - Vendor Request 0x07
failed for offset 0x3040 with error -19.
[ 226.214189] phy0 -> rt2x00usb_vendor_request: Error - Vendor Request 0x06
failed for offset 0x3040 with error -19.
[ 226.214193] phy0 -> rt2x00usb_vendor_request: Error - Vendor Request 0x0a
failed for offset 0x0000 with error -19.
[ 226.214196] phy0 -> rt2x00usb_vendor_request: Error - Vendor Request 0x06
failed for offset 0x3028 with error -19.
[ 226.214200] phy0 -> rt2x00usb_vendor_request: Error - Vendor Request 0x06
failed for offset 0x3064 with error -19.
[ 226.214203] phy0 -> rt2x00usb_vendor_request: Error - Vendor Request 0x0c
failed for offset 0x0000 with error -19.
[ 231.625694] usb 5-1: new high speed USB device using ehci_hcd and address
4
[ 231.943811] usb 5-1: configuration #1 chosen from 1 choice
[ 232.206970] wmaster0: Selected rate control algorithm 'simple'
[ 232.292153] ADDRCONF(NETDEV_UP): wlan0: link is not ready

Afeter I plugged again ethernet cable, I have these:

[ 282.877026] eth0: link up, 100Mbps, full-duplex, lpa 0x41E1
[ 282.878721] ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[ 293.013585] eth0: no IPv6 routers present
[ 311.868698] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[ 316.259234] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[ 316.319910] eth0: link up, 100Mbps, full-duplex, lpa 0x41E1
[ 330.263501] eth0: no IPv6 routers present

Trying again to connect to WLAN (using Network Manager, instead o manual
configuration) I got:

[ 978.102114] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[ 979.801642] wlan0: Initial auth_alg=0
[ 979.801647] wlan0: authenticate with AP 00:18:39:28:95:46
[ 979.803025] wlan0: RX authentication from 00:18:39:28:95:46 (alg=0
transaction=2 status=0)
[ 979.803027] wlan0: authenticated
[ 979.803029] wlan0: associate with AP 00:18:39:28:95:46
[ 979.805774] wlan0: RX Asso...

Read more...

Id2ndR (id2ndr) wrote :

rt2x00 module couldn't be compile with linux version include in Gutsy. Explanation are at http://rt2x00.serialmonkey.com/phpBB2/viewtopic.php?t=4294

Maybe there is a patch that correct error "phy0 -> rt2x00usb_vendor_request: ...".
If we know it, we may be able to patch sources of linux-ubuntu-module and get a working version of rt2x00.

Id2ndR (id2ndr) wrote :

This may help : http://rt2x00.serialmonkey.com/phpBB2/viewtopic.php?t=4192

According to post of Tue Oct 09, there was a patch that correct the error of "register busy". (The patch may have be done between 09/25 and 10/09).

Changed in linux-ubuntu-modules-2.6.22:
importance: Undecided → High
status: Confirmed → Triaged
Walther Zwart (wahez) wrote :

Some problem here with a linksys rt2500usb.

I'm now succesfully running with the feisty kernel (2.6.20) as the rt2570 module in Feisty does work with my chipset.

Alexander Jones (alex-weej) wrote :

Linksys WUSB54GC (rt73usb) broken -- works for a variable amount of time then just spits out:

Oct 23 17:27:45 flash kernel: [ 1547.845761] phy0 -> rt73usb_rf_write: Error - PHY_CSR4 register busy. Write failed.
Oct 23 17:27:45 flash kernel: [ 1547.945517] phy0 -> rt2x00usb_vendor_request: Error - Vendor Request 0x07 failed for offset 0x3090 with error -110.
Oct 23 17:27:46 flash kernel: [ 1548.045260] phy0 -> rt2x00usb_vendor_request: Error - Vendor Request 0x07 failed for offset 0x3090 with error -110.
Oct 23 17:27:46 flash kernel: [ 1548.144995] phy0 -> rt2x00usb_vendor_request: Error - Vendor Request 0x07 failed for offset 0x3090 with error -110.
Oct 23 17:27:46 flash kernel: [ 1548.244734] phy0 -> rt2x00usb_vendor_request: Error - Vendor Request 0x07 failed for offset 0x3090 with error -110.
Oct 23 17:27:46 flash kernel: [ 1548.344486] phy0 -> rt2x00usb_vendor_request: Error - Vendor Request 0x07 failed for offset 0x3090 with error -110.

Every second. And to think I bought this adapter because it is one of the few that supposedly works out of the box on Ubuntu (thanks a lot, wiki.ubuntu.com!)

Kyle M Weller (kylew) wrote :

ALEX,I can confirm this issue too with my belkin f5d7050-4 ver 3002, its a
rt73 device, it seems this bug has been plaguing ubuntu since pre-feisty
because they have two different drivers with the same usb id in it which is
causing a conflict, it looks whoever is in charge of the drivers is too lazy
to remove/fix this, try serialmonkey drivers, they got it right

On 10/23/07, Alex Jones <alex@******> wrote:
>
> Linksys WUSB54GC (rt73usb) broken -- works for a variable amount of time
> then just spits out:
>
> Oct 23 17:27:45 flash kernel: [ 1547.845761] phy0 -> rt73usb_rf_write:
> Error - PHY_CSR4 register busy. Write failed.
> Oct 23 17:27:45 flash kernel: [ 1547.945517] phy0 ->
> rt2x00usb_vendor_request: Error - Vendor Request 0x07 failed for offset
> 0x3090 with error -110.
> Oct 23 17:27:46 flash kernel: [ 1548.045260] phy0 ->
> rt2x00usb_vendor_request: Error - Vendor Request 0x07 failed for offset
> 0x3090 with error -110.
> Oct 23 17:27:46 flash kernel: [ 1548.144995] phy0 ->
> rt2x00usb_vendor_request: Error - Vendor Request 0x07 failed for offset
> 0x3090 with error -110.
> Oct 23 17:27:46 flash kernel: [ 1548.244734] phy0 ->
> rt2x00usb_vendor_request: Error - Vendor Request 0x07 failed for offset
> 0x3090 with error -110.
> Oct 23 17:27:46 flash kernel: [ 1548.344486] phy0 ->
> rt2x00usb_vendor_request: Error - Vendor Request 0x07 failed for offset
> 0x3090 with error -110.
>
> Every second. And to think I bought this adapter because it is one of
> the few that supposedly works out of the box on Ubuntu (thanks a lot,
> wiki.ubuntu.com!)
>
> --
> [Gutsy] Ralink 2573 usb adapter does not work out of the box
> https://bugs.launchpad.net/bugs/139070
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Tim Gardner (timg-tpi) wrote :

Can you guys try this for me:

wget http://people.ubuntu.com/~rtg/linux-ubuntu-modules-2.6.22-14-generic_2.6.22-14.40UNRELEASED_i386.deb
sudo dpkg -i linux-ubuntu-modules-2.6.22-14-generic_2.6.22-14.40UNRELEASED_i386.deb
sudo reboot

Changed in linux-ubuntu-modules-2.6.22:
assignee: ubuntu-kernel-network → timg-tpi
milestone: none → gutsy-updates
status: Triaged → In Progress
Kyle M Weller (kylew) wrote :

Thanks tim, I will do so after work on my ubuntu box

On 10/24/07, Tim Gardner <tim.gardner@**.com> wrote:
>
> Can you guys try this for me:
>
> wget
> http://people.ubuntu.com/~rtg/linux-ubuntu-modules-2.6.22-14-generic_2.6.22-14.40UNRELEASED_i386.deb
> sudo dpkg -i
> linux-ubuntu-modules-2.6.22-14-generic_2.6.22-14.40UNRELEASED_i386.deb
> sudo reboot
>
>
> ** Changed in: linux-backports-modules-2.6.22 (Ubuntu)
> Sourcepackagename: linux-ubuntu-modules-2.6.22 =>
> linux-backports-modules-2.6.22
> Assignee: Ubuntu Kernel Network Team (ubuntu-kernel-network) => Tim
> Gardner (timg-tpi)
> Status: Triaged => In Progress
> Target: None => gutsy-updates
>
> ** Changed in: linux-ubuntu-modules-2.6.22 (Ubuntu)
> Sourcepackagename: linux-backports-modules-2.6.22 =>
> linux-ubuntu-modules-2.6.22
>
> --
> [Gutsy] Ralink 2573 usb adapter does not work out of the box
> https://bugs.launchpad.net/bugs/139070
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Kyle M Weller (kylew) wrote :

hey tim, i installed that and removed rt73usb from blacklist and blacklisted my custom rt73 driver from serialmonkey and it completely locked up my system when I attempted a connection, and it named wlan0 rausb0, on a side note you may be getting somewhere because it didnt look like there was 2 drivers loaded, and I didnt see a wlan0 and wmaster0 so keep up the good work, unfortunately my system was too unstable and froze to grab any logs.. any ideas?

Kyle M Weller (kylew) wrote :

Bus 004 Device 003: ID 050d:705a Belkin Components still not working....
This is a tough card, there are four known versions of this card.
802.11g F5D7050 v.1xxxx Prism54
802.11g F5D7050 v.2xxxx rt2x00
802.11g F5D7050 v.3xxxx man: 050d dev: 705a rt2x00 <---- my card
802.11g F5D7050 v. 4001 ?
 ?
802.11g F5D7050 v.4xxxx man: 050d dev: 705c ZD1211

pclinuxos fixed this driver, i hope ubuntu does..
Quick Glance Specs

Network Type: Wireless Ethernet - 11 Mbps IEEE802.11b,
Wireless Ethernet - 54 Mbps IEEE802.11g
Device Type: Network Adapter
Port Types: USB - Universal Serial Bus 1.0/1.1,
USB - Universal Serial Bus 2.0

Wireless Device
Number of Antennas: 1
Device Type: Network Adapter
Network Status Indicators: Link Status

Networking Standards
Wireless Security Features: WEP - 128-bit,
WEP - 64-bit
Features: Integrated Antenna
Speeds Supported: 54 Mbps
Network Architecture Supported: Wireless Ethernet - 11 Mbps IEEE802.11b,
Wireless Ethernet - 54 Mbps IEEE802.11g

Ports
Port Types: USB - Universal Serial Bus 1.0/1.1,
USB - Universal Serial Bus 2.0

Warranty
Warranty Information: Limited Lifetime Warranty

Kyle M Weller (kylew) wrote :

ok just a note, rt73 scans but has a wmaster0 wifi connection that I believe is interfering... I am able to scan but not connect with the standard drivers, my configuration is fine and there seems to be a conflict somewhere, dhcp and static configs dont work... I believe there is an issue with the usb id or something...

Sebastien Alborini (salborini) wrote :

Hi Tim,

I installed your deb and my belkin usb adapter now works. It is a 050d:7050 Belkin Components F5D7050 ver 1000 WiFi. Thanks! Just 2 things:
- the interface was renamed rausb0 (was wlan0 before)
- I had to manually configure it

Kyle M Weller (kylew) wrote :

ouch, I wish mine worked too, I have a F5D7050 ver 3002 or 3000 wifi,
Bus 001 Device 004: ID 050d:705a Belkin Components

Sung-Jin Hong (serialx-net) wrote :
Download full text (13.3 KiB)

My Ralink wlan works with the deb above, but the NetworkManager is having problems with it. I did manual configuration with network settings app and the wlan works, the NetworkManager still does not work with it. And the connection is a little choppy..

serialx@uranus:~$ sudo NetworkManager --no-daemon
NetworkManager: <info> starting...
NetworkManager: <info> wlan0: Device is fully-supported using driver 'rt73'.
NetworkManager: <info> nm_device_init(): waiting for device's worker thread to start
NetworkManager: <info> nm_device_init(): device's worker thread started, continuing.
NetworkManager: <info> Now managing wireless (802.11) device 'wlan0'.
NetworkManager: <info> Deactivating device wlan0.
NetworkManager: <info> eth0: Device is fully-supported using driver 'forcedeth'.
NetworkManager: <info> nm_device_init(): waiting for device's worker thread to start
NetworkManager: <info> nm_device_init(): device's worker thread started, continuing.
NetworkManager: <info> Now managing wired Ethernet (802.3) device 'eth0'.
NetworkManager: <info> Deactivating device eth0.
NetworkManager: <info> Updating allowed wireless network lists.
NetworkManager: <info> SWITCH: no current connection, found better connection 'wlan0'.
NetworkManager: <info> Will activate connection 'wlan0/3443-1380'.
NetworkManager: <info> Device wlan0 activation scheduled...
NetworkManager: <info> Activation (wlan0) started...
NetworkManager: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) scheduled...
NetworkManager: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) started...
NetworkManager: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) scheduled...
NetworkManager: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) complete.
NetworkManager: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) starting...
NetworkManager: <info> Activation (wlan0/wireless): access point '3443-1380' is unencrypted, no key needed.
NetworkManager: <info> supplicant_interface_init() - connect to global ctrl socket (0/10).
NetworkManager: <info> supplicant_interface_init() - connect to global ctrl socket (1/10).
NetworkManager: <info> SUP: sending command 'INTERFACE_ADD wlan0 wext /var/run/wpa_supplicant2 '
ioctl[SIOCSIWAUTH]: Operation not supported
WEXT auth param 7 value 0x1 - ioctl[SIOCSIWENCODEEXT]: Operation not supported
ioctl[SIOCSIWENCODEEXT]: Operation not supported
ioctl[SIOCSIWENCODEEXT]: Operation not supported
ioctl[SIOCSIWENCODEEXT]: Operation not supported
ioctl[SIOCSIWAUTH]: Operation not supported
WEXT auth param 4 value 0x0 - ioctl[SIOCSIWAUTH]: Operation not supported
WEXT auth param 5 value 0x1 - NetworkManager: <info> SUP: response was 'OK'
NetworkManager: <info> supplicant_init() - connect to device ctrl socket (1/10).
NetworkManager: <info> SUP: sending command 'AP_SCAN 2'
NetworkManager: <info> SUP: response was 'OK'
NetworkManager: <info> SUP: sending command 'ADD_NETWORK'
NetworkManager: <info> SUP: response was '0'
NetworkManager: <info> SUP: sending command 'SET_NETWORK 0 ssid 333434332d31333830'
NetworkManager: <info> SUP: response was 'OK'
NetworkManager: <info> SUP: sending comma...

Sung-Jin Hong (serialx-net) wrote :

No, the connection is regulary closed for an unkown reason. I am not able to get a stable wireless connection.

Sung-Jin Hong (serialx-net) wrote :

The above deb only works when I do

sudo rmmod rt2570 rt73
sudo modprobe rt73
sudo ifconfig wlan0 up

Kyle M Weller (kylew) wrote :

it just freezes my system....

Ben Hutchings (benh-debian) wrote :

Unfortunately the id 148f:2573 has been used in devices with two different chipsets which may require the rt2570(usb) or rt73(usb) driver. There is no way for the module auto-loading mechanism to distinguish them.

Dudley (dudleygb) wrote :

Hi guys,

Thanx for a really sweet distro, I'm really enjoying Gutsy. My only real big pain is this damn Ralink driver problem.
I've tried compiling stuff from the serialmonkeys to ralinks STA drivers. I even tried the deb above. The drivers register and the card gets detected but no matter what i do I cant get a connection. Funny enough, if I blacklist all the drivers except 2x00lib, 2x00usb and rt73usb, network manager kicks in and I connect no problem, but its so flippen flaky, at any time the connection gets dropped, especially if I go into gmail or facebook, funny enough. Then I actually have to remove the usb, and insert into another port. The longest I had the connection working for was about 3 hrs. But it just dies suddenly, time and time again. I'm using a usb adapter with the same device id 148f:2573 Ralink.....

When is this puppy getting fixed? I can imagine its quite urgent, considering the load of rt2573 devices there are out there all using the Ralink rt73 148f:2573 device and chipset. Please hurry, asking very nicely pls

kLever (klever) wrote :

Hi! After the trouble described here, I managed to get the rt73 working in Gutsy. The solution was to install vanilla kernel 2.6.24-rc1 and the compile the rt2x00 driver from serialmonkey. It was not an easy task but wifi is working perfectly now... :)

Kyle M Weller (kylew) wrote :

klever, is your wpa working?

On 11/2/07, kLever <kleverness@*.com> wrote:
>
> Hi! After the trouble described here, I managed to get the rt73 working
> in Gutsy. The solution was to install vanilla kernel 2.6.24-rc1 and the
> compile the rt2x00 driver from serialmonkey. It was not an easy task but
> wifi is working perfectly now... :)
>
> --
> [Gutsy] Ralink 2573 usb adapter does not work out of the box
> https://bugs.launchpad.net/bugs/139070
> You received this bug notification because you are a direct subscriber
> of the bug.
>

kLever (klever) wrote :

I was using no encryption but I enable WPA-PSK just to test it and yes, it works perfectly so far, excelent speed, and perfect integration with NetworkManager. I haven't test it so much but it seems to have no problems at all. Is there any plans to fix this for Gutsy or we'll have to wait till Hardon?

Thanks again.

I didn't have any luck with the .deb above neither. It installed fine, the RT73 driver was loaded, but i couldn't connect to my WPA-secured network. The rt73usb driver found in the official .deb worked better for me.

I still hope this problem gets fixed soon.

Dudley (dudleygb) wrote :

i think theres a fix planned for december, but I just cant wait that long, I have a business riding on this crap, so i have to either go back to windows, use a different wireless adapter, or use a cat5 for now. I tried the windows option and the drivers in windows are no better, doesnt allow a connection! RALINK IS CRAP!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
I'm now going to hard wire my modem until I can get a chance to find out which adapter will work under ubuntu. Anyone got any suggestions, obviously nothing with a Ralink shitty, crap ass driver in it. And I'm just not into redoing my whole machine at this point in time. Any other comments or suggestions?

Kyle M Weller (kylew) wrote :

ya we should just grab another card because the ubuntu team will never fix
this problem

On 11/4/07, Dudley <dudleygb@*.com> wrote:
>
> i think theres a fix planned for december, but I just cant wait that long,
> I have a business riding on this crap, so i have to either go back to
> windows, use a different wireless adapter, or use a cat5 for now. I tried
> the windows option and the drivers in windows are no better, doesnt allow a
> connection! RALINK IS CRAP!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
> I'm now going to hard wire my modem until I can get a chance to find out
> which adapter will work under ubuntu. Anyone got any suggestions, obviously
> nothing with a Ralink shitty, crap ass driver in it. And I'm just not into
> redoing my whole machine at this point in time. Any other comments or
> suggestions?
>
> --
> [Gutsy] Ralink 2573 usb adapter does not work out of the box
> https://bugs.launchpad.net/bugs/139070
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Similar problem with Belkin Wireless G usb adaptor

[ 160.584707] usb 3-2: USB disconnect, address 2
[ 208.033987] usb 3-5: USB disconnect, address 4
[ 208.057265] zd1211rw 3-5:1.0: error ioread32(CR_REG1): -22
[ 233.608831] usb 3-5: new high speed USB device using ehci_hcd and address 5
[ 233.741981] usb 3-5: configuration #1 chosen from 1 choice
[ 233.856771] usb 3-5: reset high speed USB device using ehci_hcd and address 5
[ 235.331469] zd1211rw 3-5:1.0: firmware version 4725
[ 235.373458] zd1211rw 3-5:1.0: zd1211b chip 050d:705c v4810 high 00-17-3f AL2230_RF pa0 g--NS
[ 235.376045] zd1211rw 3-5:1.0: eth1
[ 237.589520] ADDRCONF(NETDEV_UP): eth1: link is not ready
[ 374.072084] ADDRCONF(NETDEV_UP): eth1: link is not ready
[ 476.203216] ADDRCONF(NETDEV_UP): eth1: link is not ready
[ 539.403235] ADDRCONF(NETDEV_UP): eth0: link is not ready
[ 539.485918] ADDRCONF(NETDEV_UP): eth1: link is not ready

Previous error was with Ubuntu Hardy Heron version

[ 160.584707] usb 3-2: USB disconnect, address 2
[ 208.033987] usb 3-5: USB disconnect, address 4
[ 208.057265] zd1211rw 3-5:1.0: error ioread32(CR_REG1): -22
[ 233.608831] usb 3-5: new high speed USB device using ehci_hcd and address 5
[ 233.741981] usb 3-5: configuration #1 chosen from 1 choice
[ 233.856771] usb 3-5: reset high speed USB device using ehci_hcd and address 5
[ 235.331469] zd1211rw 3-5:1.0: firmware version 4725
[ 235.373458] zd1211rw 3-5:1.0: zd1211b chip 050d:705c v4810 high 00-17-3f AL2230_RF pa0 g--NS
[ 235.376045] zd1211rw 3-5:1.0: eth1
[ 237.589520] ADDRCONF(NETDEV_UP): eth1: link is not ready
[ 374.072084] ADDRCONF(NETDEV_UP): eth1: link is not ready
[ 476.203216] ADDRCONF(NETDEV_UP): eth1: link is not ready
[ 539.403235] ADDRCONF(NETDEV_UP): eth0: link is not ready
[ 539.485918] ADDRCONF(NETDEV_UP): eth1: link is not ready

Kyle M Weller (kylew) wrote :

any knowledgeable people know what the issue is with the Belkin F5D7050-4
ver 3002 usb id 050d:705a ??
I have had issues with it for over a year
On 11/4/07, blokeinlondon <aston_guy@*.com> wrote:
>
> Previous error was with Ubuntu Hardy Heron version
>
> [ 160.584707] usb 3-2: USB disconnect, address 2
> [ 208.033987] usb 3-5: USB disconnect, address 4
> [ 208.057265] zd1211rw 3-5:1.0: error ioread32(CR_REG1): -22
> [ 233.608831] usb 3-5: new high speed USB device using ehci_hcd and
> address 5
> [ 233.741981] usb 3-5: configuration #1 chosen from 1 choice
> [ 233.856771] usb 3-5: reset high speed USB device using ehci_hcd and
> address 5
> [ 235.331469] zd1211rw 3-5:1.0: firmware version 4725
> [ 235.373458] zd1211rw 3-5:1.0: zd1211b chip 050d:705c v4810 high
> 00-17-3f AL2230_RF pa0 g--NS
> [ 235.376045] zd1211rw 3-5:1.0: eth1
> [ 237.589520] ADDRCONF(NETDEV_UP): eth1: link is not ready
> [ 374.072084] ADDRCONF(NETDEV_UP): eth1: link is not ready
> [ 476.203216] ADDRCONF(NETDEV_UP): eth1: link is not ready
> [ 539.403235] ADDRCONF(NETDEV_UP): eth0: link is not ready
> [ 539.485918] ADDRCONF(NETDEV_UP): eth1: link is not ready
>
> --
> [Gutsy] Ralink 2573 usb adapter does not work out of the box
> https://bugs.launchpad.net/bugs/139070
> You received this bug notification because you are a direct subscriber
> of the bug.
>

EljoPc (info-ccamstelveen) wrote :

Got the same problem here,

Connects only on Ubuntu 7.10 start-up after a view minutes the signal dies.

Bus 001 Device 002: ID 148f:2573 Ralink Technology, Corp.
Bus 001 Device 001: 0000:0000

Simon E (ubuntu-sionide) wrote :

Having similar issues with rt73usb on Ubuntu 7.10, connection seems to last sometimes as long as 24 hours, till any heavy downloading occurs then cuts out and won't reconnect unless you shutdown and boot up again, pressing Restart doesn't fix it either. Only a clean shutdown.

:~$ lsusb
Bus 005 Device 002: ID 0db0:6877 Micro Star International

Had similar issues on Feisty, had to get rid of NetworkManager and manually configure it...

Sung-Jin Hong (serialx-net) wrote :

My issues are exactly same with Sionide. I am using sone random usb wireless lancard made in taiwan.

lsusb : Bus 004 Device 002: ID 06f8:e010 Guillemot Corp.
Model : Hercules HWGUSB2-54-V2
On UBUNTU 7.10

This way solve connection problems for me...
THANKS...

ssergio_ll (sefirot6779) wrote :

Some solution to this bug? I have this wireless and i have problem. Thanks.

kLever (klever) wrote :

The only solution which worked for me was to compile vanilla kernel 2.6.24-rc1 and the download the latest rt2x00 CVS from http://rt2x00.serialmonkey.com/wiki/index.php/Downloads and compile it. That's the only way I got it working perfectly. Now that 2.6.24-rc2 has been released, maybe you should try first the rt2x00 module that comes with it. The one that came with 2.6.24-rc1 still had issues for me (no lost connection but low speed tranfers), that's why I compile the one from serialmonkey.

Bye.

Valentin Lab (vaab) wrote :

Hi, same strange problems here too with default module from gutsy : link can break between 5 minutes to 24 hours later... I made a quick script that test ping and rmmods and re insmod when ping fails. This works half the times and reconnects correctly (with dhclient, and ifconfig to set up the adapter).

But half the time it doesn't make the trick : rmmod and insmod do not seem to be able to bring a correct interface. And often, a simple rmmod will freeze the entire computer.

Unplugging the adapter (which is a USB wifi dongle) and replugging it will change the effect... so if I'm stuck with rmmod and insmod beiing useless but not freezing the computer, usualy unsticking and replugging the USB wifi dongle will give me chance to ... repair the connection or to freeze the computer.

Finally, when I manage to get a connection for some period, it's quality is real bad : very very slow, pings grows up very quickly up to 2 seconds with one or two

I do not know if this helps a lot. But I've tried Tim Gardner package (which is in comment number 16), and this is WORSE : ifconfig seems stuck in a endless loop : it slows the computer down and do not manage to get past the mounting of the device (ifconfig up), this is really bad as this is set at boot time.

So I'm heading towards 2.6.24/rt2x00 recompilation...

Olivia (oli-maia) wrote :

I have the same problem as Sionide (with the same output with lsusb). and anything that involves compiling or kernels is beyond my capabilities.

if anyone has any sort of idiot-proof solution i'd really appreciate it.

gdw2 (gdwarner) wrote :

All you need to do is compile the rt73 serial monkey drivers and it starts
working.

Here is the HOWTO I followed:
http://ubuntuforums.org/showthread.php?t=400236.

After following the howto, it would still drop my connection at random
times, but at least I didn't have to reboot.

Also, by using the howto, it for some reason rendered the wicd utility
useless. I had to do things by commandline. But the good news is, I tried
using the serialmonkey rutilt (instead of wicd), and now everything works
great. No more commandline stuff and no more dropped connections.

Following the above-mentioned howto doesn't require you to do anything with
your kernel (like recompile). All you need to do is have the kernel source
on your machine.

On Dec 2, 2007 6:47 AM, Olivia <email address hidden> wrote:

> I have the same problem as Sionide (with the same output with lsusb).
> and anything that involves compiling or kernels is beyond my
> capabilities.
>
> if anyone has any sort of idiot-proof solution i'd really appreciate it.
>
> --
> [Gutsy] Ralink 2573 usb adapter does not work out of the box
> https://bugs.launchpad.net/bugs/139070
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Olivia (oli-maia) wrote :

gdw2, alright, I'll give it a go. thanks :)

do you know if there's a way to go back to how things were in the first place in the case everything goes awfully wrong?

gdw2 (gdwarner) wrote :

I'm not completely sure. You never really uninstall the drivers that aren't
working, you just comment them out in the blacklist file. So I think that
after you install the new driver, you could switch back by just changing
which drivers you have commented out in your blacklist file.

On Dec 3, 2007 12:48 AM, Olivia <email address hidden> wrote:

> gdw2, alright, I'll give it a go. thanks :)
>
> do you know if there's a way to go back to how things were in the first
> place in the case everything goes awfully wrong?
>
> --
> [Gutsy] Ralink 2573 usb adapter does not work out of the box
> https://bugs.launchpad.net/bugs/139070
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Olivia (oli-maia) wrote :

darn, that didn't work.
it recognizes the wlan0 and wlan0 seems to be up, but I can't use the
internet. when I do the dhclient wlan0 it seems like something goes wrong:

No DHCPOFFERS received.
No working leases in persistent database - sleeping.

gdw2 (gdwarner) wrote :

Are you using wpa or anything like that? Have you tried the RUtilT wireless
utility?

On Dec 3, 2007 8:36 AM, Olivia <email address hidden> wrote:

> darn, that didn't work.
> it recognizes the wlan0 and wlan0 seems to be up, but I can't use the
> internet. when I do the dhclient wlan0 it seems like something goes wrong:
>
> No DHCPOFFERS received.
> No working leases in persistent database - sleeping.
>
> --
> [Gutsy] Ralink 2573 usb adapter does not work out of the box
> https://bugs.launchpad.net/bugs/139070
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Olivia (oli-maia) wrote :

gdw2,
yep, tried that. I'm using WEP.

i posted what happened here:
http://ubuntuforums.org/showthread.php?t=400236&highlight=ralink+ndiswrapper+gutsy&page=86

for now I did what you said and am back with rt73usb. either way, it be much
better to get a stable connection, specially considering it's one of the
main reasons i bought the laptop.

~o.

Nicolai P (nicolaip) wrote :

I compiled Linux 2.6.24 - then i could connect via WICD (unencrypted and WEP, WPA/2 not tested) but the connection was lost after some minutes/seconds.
Then I compiled the latest cvs version rt2x00 (not the legacy drivers!) and now I can everything with WICD (also WEP and WPA/2), no lost connection.

But I'm having trouble with aircrack... Hm.

Id2ndR (id2ndr) wrote :

I installed Hardy alpha 2. I have good result on it : NM connect without problem and I haven't been disconnected (I just have downloaded 2 MB of package updates).

EljoPc (info-ccamstelveen) wrote :

I installed Hardy alpha 2 and it seems to work perfect with my Ralink USB Air Live. Connect without problem and I haven't been disconnected for a view hours now.

I checked Hardy and there are still problems with some ralink cards... -> https://bugs.launchpad.net/bugs/134660

Kyle M Weller (kylew) wrote :

yes, I can confirm the rt73usb.ko driver does not work for "ANY RELEASE"
never did, although the rt73 driver from here:
http://rt2x00.serialmonkey.com/rt73-cvs-daily.tar.gz
works fine. Wpa works great as well, unfortunately any wpa password longer
than 20 characters crashes Ubuntu and locks up the box, oops, nevermind,
just checked this forum thread:
http://rt2x00.serialmonkey.com/phpBB2/viewtopic.php?p=28063#28063
it seems the password length issue has been resolved for wpa with the rt73
driver from serialmonkey, basically here is how to install:
wget http://rt2x00.serialmonkey.com/rt73-cvs-daily.tar.gz
tar zxvf rt73-cvs-daily.tar.gz
cd rt73*
cd M*
make
sudo make install
sudo gedit /etc/modprobe.d/blacklist
append this to the end of the file:
# rt73 blacklisted drivers
blacklist rt2500usb
blacklist rt73usb
blacklist rt2x00usb
blacklist rt2x00lib
blacklist ipv6
now sudo /etc/init.d/networking restart and we shall be connected if
/etc/network/interfaces file is configured correctly, here is an example of
mine:
# WORKING STATIC AES/WPA CONFIG
#auto wlan0
#iface wlan0 inet static
#address 192.168.1.66
#netmask 255.255.255.0
#gateway 192.168.1.254
#pre-up ifconfig wlan0 up
#pre-up iwconfig wlan0 essid 2WIRE
#pre-up iwconfig wlan0 mode managed
#pre-up iwpriv wlan0 set Channel=9
#pre-up iwpriv wlan0 set AuthMode=WPAPSK
#pre-up iwpriv wlan0 set EncrypType=AES
#pre-up iwpriv wlan0 set WPAPSK=yourwpapasswd
#pre-up iwpriv wlan0 set TxRate=0

# WORKING DYNAMIC AES/WPA CONFIG
auto wlan0
iface wlan0 inet dhcp
pre-up ifconfig wlan0 up
pre-up iwconfig wlan0 essid 2WIRE
pre-up iwconfig wlan0 mode managed
pre-up iwpriv wlan0 set Channel=10
pre-up iwpriv wlan0 set AuthMode=WPAPSK
pre-up iwpriv wlan0 set EncrypType=TKIP
pre-up iwpriv wlan0 set WPAPSK=yourwpapasswd
pre-up iwpriv wlan0 set TxRate=0
mtu 1500
There we go rt73 working perfectly, now, lets watch and see if the Ubuntu
developers can add this wonderful driver to Gutsy and Heron...
Kyle Weller
On Jan 10, 2008 12:03 AM, Piotr Makowski < oponek@*> wrote:

> I checked Hardy and there are still problems with some ralink cards...
> -> https://bugs.launchpad.net/bugs/134660
>
> --
> [Gutsy] Ralink 2573 usb adapter does not work out of the box
> https://bugs.launchpad.net/bugs/139070
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Kathryn S (kathie871106) wrote :

Hi Kyle,

Thanks for the quick run through on installing the serialmonkey driver however, I get the following error when I run the make command;

/bin/sh: Syntax error: Unterminated quoted string
make: *** [module] Error 2

Not too sure what it means or where I should report it if it's a mistake in the code...?

Thanks again.

Kyle M Weller (kylew) wrote :

try this
sudo apt-get install build-essential linux-headers-$(uname -r)
then sudo make

brazzmonkey (brazzmonkey) wrote :

i've got a Belkin US wifi adaptor (ID 050d:705a), and i confirm the workaround provided in the original bug description actually works.

funny thing, though, adaptor works out of the box on livecd (kubuntu 7.10), but needs this trick to be properly functional on a hard drive installation. i thought it deserved to be mentioned.

Jerzy Jalocha N (jjalocha) wrote :

I think that Bug #134660 and Bug #139070 are duplicates. Is it possible to merge them, in order to get a higher priority and more attention?

With a Nilox WLESSUSB54 aka:
Bus 003 Device 002: ID 148f:2573 Ralink Technology, Corp.
Putting in blacklist the rt2500usb module works good, tested with hardy heron current.

dylan1055 (dylan1055) wrote :

This work around is grate , but I am a Linux noob, so after I restarted it didn’t work agen. I haven’t had time to retry ‘make’ yet but am I doing some thing wrong? Like not saving the settings or something ? it worked fine after I followed the instructions then went back to how it was after restart. I’m a confused noob ;(

Andreas Gnau (rondom) wrote :

I really don't think this is a duplicate!
You can't simply put all ralink-problems under one bug in my opinion. This just makes everything messy and it gets more difficult to find the actual problems.
rt61pci problems are way different to the rt73usb-problems! For example I (as a rt61-card-owner) don't experience any problems with the rt200x rt61pci-driver.

This bug is about one specific problem where both rt2500usb and rt73usb get loaded. After doing a diff of modinfo-ouput I found out that the following usb-ids could be affected:

alias: usb:v148Fp2573d*dc*dsc*dp*ic*isc*ip*
alias: usb:v050Dp705Ad*dc*dsc*dp*ic*isc*ip*
alias: usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*

PS: dylan, run echo 'blacklist rt2500usb'|sudo tee /etc/modprobe.d/rt2500usb

Harry Sufehmi (harry-sufehmi) wrote :

Just would like to :

[ 1 ] Confirm this bug

[ 2 ] The solution :
http://backports.ubuntuforums.com/showpost.php?p=2395871&postcount=1

The solution is very simple, there was even no need to reboot. It works straight away.

Hope it helps somone.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers